#!/QOpenSys/pkgs/bin/perl

use v5.10;
use strict;

use File::Find;

my $RPM_BUILD_ROOT = @ARGV[0];

if ( not -d $RPM_BUILD_ROOT ) {
    if ( -e $RPM_BUILD_ROOT ) {
        print STDERR "Error: \`$RPM_BUILD_ROOT' is not a directory\n";
    }
    exit(1);
}

# Find all the non-directory files in the buildroot and add them to a hash
my %buildroot_files;
sub find_files {
    if ( -d $_ ) { return; }
    $buildroot_files{$_} = 1;
}
find({wanted => \&find_files, no_chdir => 1}, ($RPM_BUILD_ROOT));

# Remove any files which were packaged, leaving only unpackaged files
foreach (<STDIN>) {
    chomp;
    delete $buildroot_files{$_};
}

# Remove the build root prefix from the list of unpackaged files
my @lines = map({ (my $s=$_) =~ s/$RPM_BUILD_ROOT//; "   $s" }
                keys %buildroot_files);

# Print out each unpackaged file
say for sort(@lines);
