#!/QOpenSys/pkgs/bin/perl

use 5.012;

use strict;

use Getopt::Long;

use Data::Dumper;


Getopt::Long::Configure ("no_ignore_case");
    
my $requires;
my $provides;

GetOptions("requires|R" => \$requires,
           "provides|P" => \$provides,
          )
  or die("Error in command line arguments\n");

die("Need to pass --requires or --provides") if (!$requires && !$provides);
die("Need to pass path") if (! defined(@ARGV[0]));

my $path = @ARGV[0];
my %printed;

my $regex;
if ($requires) {
    # Match buildroot paths of the form
    #    /PATH/OF/BUILDROOT/%libdir/pythonMAJOR.MINOR/
    # generating a line of the form:
    #    python(abi) = MAJOR.MINOR
    $regex = qr/$path\/python(\d+[.]\d+)\/.+/;
}
else {
    # Match buildroot/payload paths of the form
    #    /PATH/OF/BUILDROOT/%bindir/pythonMAJOR.MINOR
    # generating a line of the form
    #    python(abi) = MAJOR.MINOR
    # (Don't match against -config tools e.g. python2.6-config)
    $regex = qr/$path\/python(\d+[.]\d+)$/;
}

foreach (<STDIN>) {
    chomp;
  
    if ($_ =~ $regex) {
        my $abi = "python(abi) = $1";
        
        if (! exists $printed{$abi}) {
            print "$abi\n";
            $printed{$abi} = 1;
        }
    }
}


exit(0);
