%define py3_ver         %(echo `python3 -c "import sys; sys.stdout.write(sys.version[:3])"`)
%define py3_prefix      %(echo `python3 -c "import sys; sys.stdout.write(sys.prefix)"`)
%define py3_libdir      %{py3_prefix}/lib/python%{py3_ver}
%define py3_incdir      %{_includedir}/python%{py3_ver}
%define py3_sitedir     %{py3_libdir}/site-packages
%define py3_dyndir      %{py3_libdir}/lib-dynload

%define py2_ver         %(echo `python2 -c "import sys; sys.stdout.write(sys.version[:3])"`)
%define py2_prefix      %(echo `python2 -c "import sys; sys.stdout.write(sys.prefix)"`)
%define py2_libdir      %{py2_prefix}/lib/python%{py2_ver}
%define py2_incdir      %{_includedir}/python%{py2_ver}
%define py2_sitedir     %{py2_libdir}/site-packages
%define py2_dyndir      %{py2_libdir}/lib-dynload

Summary: The RPM package management system
Name: rpm
Version: 4.13.1
Release: 15
License: GPL-2.0-or-later

Source0: http://ftp.rpm.org/releases/rpm-4.13.x/rpm-%{version}.tar.bz2

Source4: ibmi-macros

Source10: xcoff.attr
Source11: python.attr
Source12: pythoninterpreter.attr

Source20: xcoffdeps.pl
Source21: pythondeps.pl

Source22: check-files.pl

Source23: brp-rm-libtool-control-files

Source24: ibmi-macros-ppc64-71
Source25: ibmi-macros-ppc-71

Source26: ibmi-macros-ppc64-72
Source27: ibmi-macros-ppc-72

Source28: ibmi-macros-ppc64-73
Source29: ibmi-macros-ppc-73

Source30: ibmi-macros-ppc64-74
Source31: ibmi-macros-ppc-74

Patch0: rpm-pase.patch
Patch1: macros.in.patch
Patch2: rpmplugins.c.patch
Patch3: rpmfi.c.patch
Patch4: rpm-no-strip.patch
Patch6: rpm-disable-perl-requires.patch
Patch7: rpm-no-ima.patch
Patch8: rpm-mkdtemp.patch
Patch9: rpm-root-auth-check.patch
Patch10: rpm-allow-fat-subpackage.patch
Patch11: rpm-dev_t-64bit.patch
Patch13: rpm-python-xcoff-deps.patch
Patch14: rpm-python-linker-flags.patch
Patch15: rpm-brp-compress.patch
Patch16: rpm-fix-paths-brp-python-bytecompile.patch
Patch17: rpm-make-scriptlets-use-pase-path.patch
Patch18: rpm-disable-rpmrc-optflags.patch
Patch19: rpm-disable-setting-nice-value.patch

Patch99: rpm-config.rpath.patch

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: lua-devel
BuildRequires: nss-devel
BuildRequires: nspr-devel
BuildRequires: popt-devel
BuildRequires: bzip2-devel
BuildRequires: zlib-devel
BuildRequires: xz-devel
BuildRequires: db-devel
BuildRequires: libarchive-devel
BuildRequires: libiconv-devel
BuildRequires: file-devel
BuildRequires: pkg-config
BuildRequires: gettext-tools
BuildRequires: libutil-devel < 0.12
BuildRequires: python2-devel
BuildRequires: python3-devel

Requires: curl

Provides: rpm2cpio = %{version}-%{release}


%description
The RPM Package Manager (RPM) is a powerful command-line driven package
management system capable of installing, uninstalling, verifying, querying, and
updating software packages.  Each software package consists of an archive of
files along with information about the package like its version, a description,
etc.

%package devel
Summary: Development files for applications which will manipulate RPM packages.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the RPM C library and header files.  These development
files will simplify the process of writing programs which manipulate RPM
packages and databases. These files are intended to simplify the process of
creating graphical package managers or any other tools that need an intimate
knowledge of RPM packages in order to function.

This package should be installed if you want to develop programs that will
manipulate RPM packages and databases.

%package build
Summary: Development files for applications which will manipulate RPM packages.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

# Various rpm scripts assume OSS/GNU tools
Requires: bash
Requires: coreutils-gnu
Requires: findutils
Requires: grep-gnu
Requires: patch-gnu
Requires: sed-gnu

# Technically optional, but needed enough of the time to warrant Requires
# When we move to dnf, these could maybe be changed to Recommends
Requires: gzip
Requires: tar-gnu
Requires: make-gnu

# Depending on the spec, some of these may be needed to extract sources
Recommends: bzip2
Recommends: xz
Recommends: unzip

%description build
This package contains the RPM C library and header files.  These development
files will simplify the process of writing programs which manipulate RPM
packages and databases. These files are intended to simplify the process of
creating graphical package managers or any other tools that need an intimate
knowledge of RPM packages in order to function.

This package should be installed if you want to develop programs that will
manipulate RPM packages and databases.

%package -n python3-rpm
Summary: Python rpm package
Requires: %{name} = %{version}-%{release}

%description -n python3-rpm
Python 3 rpm package

%package -n python2-rpm
Summary: Python rpm package
Requires: %{name} = %{version}-%{release}

%description -n python2-rpm
Python rpm package


%prep
%setup -q 

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1

autoreconf -fi

%patch99 -p1

# TODO: Add OS400 support to scripts/vpkg-provides.sh

perl -p -i -e 's|#!/bin/sh|#!/QOpenSys/usr/bin/sh|' scripts/gendiff

perl -p -i -e 's|#!/usr/bin/perl|#!'"%{_bindir}/perl|" scripts/perl.req scripts/perl.prov

# AIX GCC build will compile fine here, but will fail to link with error:
# collect2: fatal error: library libssp_nonshared not found
perl -p -i -e 's|-fstack-protector||g' configure

cp %{SOURCE10} %{SOURCE11} %{SOURCE12} fileattrs
cp %{SOURCE20} %{SOURCE21} scripts
cp %{SOURCE22} scripts/check-files
chmod +x scripts/*

%build

# The -L$PWD/build/.libs is a hack to get around the fact that libtool puts
# /opt/freeware/lib ahead of build/.libs and will find a (potentially older)
# installed librpmio by mistake

%configure \
    CFLAGS="$CFLAGS -Wno-attributes" \
    CPPFLAGS="-I%{_includedir}/nspr4 -I%{_includedir}/nss3" \
    LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L$PWD/build/.libs" \
    LIBS='-lutil' \
    -C \
    --localstatedir=/QOpenSys/var \
    --with-aix-soname=svr4 \
    --enable-shared \
    --with-vendor=ibm \
    --with-external-db \
    --without-beecrypt \
    --without-selinux \
    --without-imaevm \
    --without-cap \
    --without-acl \
    --without-dmalloc \
    --without-hackingdocs \
    --disable-python \
    --disable-static \
    --disable-rpath \
    --disable-nls
    # --with-internal-beecrypt
    
cp -r python python3
cp -r python python2

%make_build

cd python3
python3 setup.py build
cd ..

cd python2
python2 setup.py build
cd ..

%install

# Fix /usr/lib paths
perl -p -i -e 's|/usr/lib/rpm|%{_libdir}/rpm|g' scripts/*

%make_install

cd python3
python3 setup.py install --no-compile --root %{buildroot}
rm %{buildroot}%{py3_sitedir}/*.egg-info
cd ..

cd python2
python2 setup.py install --no-compile --root %{buildroot}
rm %{buildroot}%{py2_sitedir}/*.egg-info
cd ..

for lang in fr ja ko pl ru sk
do
rm -r %{buildroot}/%{_mandir}/$lang
done

# Remove the platform files shipped by RPM (we don't need or want them)
rm -r %{buildroot}/%{_libdir}/rpm/platform/*

# Add base vendor file that defines most of the RPM macros
mkdir -p %{buildroot}/%{_libdir}/rpm/ibm/
cp %{SOURCE4} %{buildroot}/%{_libdir}/rpm/ibm/macros

# Add platform macros files

################################################################################
# A NOTE ON PLATFORM MACROS FILES
################################################################################
#
# Platform macros files were previously uniform (by architecture) and stored in
# a common directory (platform/ppc64-ibmi and platform/ppc-ibmi). A symlink for
# every {architecture}-ibmi{v}.{r} combination from 7.1 to 9.9 was then pointed
# to these two directories. RPM the program then followed these symlinks when
# searching for macros to load.
#
# We then sought to enable different flags depending on the lowest POWER chip
# supported on a given release. However, the old symlinking creates problems for
# RPM that are not easily remedied by replacing the old symlinks with actual
# directories. Primarily, by converting symlinks to directories and then
# shipping more than two macros files, RPM thinks we are trying to overwrite
# the same macros files with each different version.
#
# To work around the issue and placate RPM, we can create a directory for each
# release to store the release-specific macros file, and then point the old
# symlinks at that directory instead of the generic platform/ppc64-ibmi and
# platform/ppc-ibmi directories. This retains the symlink for all releases, AND
# creates a directory for those releases that have their own macros file,
# creating some duplication. However, this was the only solution conceived to
# would stifle the RPM install/upgrade errors until the RPM maintainers release
# a better work around.
#
################################################################################

# IBM i 7.1
mkdir -p %{buildroot}/%{_libdir}/rpm/platform/ppc64-ibmi7.1-dir/
cp %{SOURCE24} %{buildroot}/%{_libdir}/rpm/platform/ppc64-ibmi7.1-dir/macros
ln -s ppc64-ibmi7.1-dir %{buildroot}/%{_libdir}/rpm/platform/ppc64-ibmi7.1

mkdir -p %{buildroot}/%{_libdir}/rpm/platform/ppc-ibmi7.1-dir/
cp %{SOURCE25} %{buildroot}/%{_libdir}/rpm/platform/ppc-ibmi7.1-dir/macros
ln -s ppc-ibmi7.1-dir %{buildroot}/%{_libdir}/rpm/platform/ppc-ibmi7.1

# IBM i 7.2
mkdir -p %{buildroot}/%{_libdir}/rpm/platform/ppc64-ibmi7.2-dir/
cp %{SOURCE26} %{buildroot}/%{_libdir}/rpm/platform/ppc64-ibmi7.2-dir/macros
ln -s ppc64-ibmi7.2-dir %{buildroot}/%{_libdir}/rpm/platform/ppc64-ibmi7.2

mkdir -p %{buildroot}/%{_libdir}/rpm/platform/ppc-ibmi7.2-dir/
cp %{SOURCE27} %{buildroot}/%{_libdir}/rpm/platform/ppc-ibmi7.2-dir/macros
ln -s ppc-ibmi7.2-dir %{buildroot}/%{_libdir}/rpm/platform/ppc-ibmi7.2

# IBM i 7.3
mkdir -p %{buildroot}/%{_libdir}/rpm/platform/ppc64-ibmi7.3-dir/
cp %{SOURCE28} %{buildroot}/%{_libdir}/rpm/platform/ppc64-ibmi7.3-dir/macros
ln -s ppc64-ibmi7.3-dir %{buildroot}/%{_libdir}/rpm/platform/ppc64-ibmi7.3

mkdir -p %{buildroot}/%{_libdir}/rpm/platform/ppc-ibmi7.3-dir/
cp %{SOURCE29} %{buildroot}/%{_libdir}/rpm/platform/ppc-ibmi7.3-dir/macros
ln -s ppc-ibmi7.3-dir %{buildroot}/%{_libdir}/rpm/platform/ppc-ibmi7.3

# IBM i 7.4
mkdir -p %{buildroot}/%{_libdir}/rpm/platform/ppc64-ibmi7.4-dir/
cp %{SOURCE30} %{buildroot}/%{_libdir}/rpm/platform/ppc64-ibmi7.4-dir/macros
ln -s ppc64-ibmi7.4-dir %{buildroot}/%{_libdir}/rpm/platform/ppc64-ibmi7.4

mkdir -p %{buildroot}/%{_libdir}/rpm/platform/ppc-ibmi7.4-dir/
cp %{SOURCE31} %{buildroot}/%{_libdir}/rpm/platform/ppc-ibmi7.4-dir/macros
ln -s ppc-ibmi7.4-dir %{buildroot}/%{_libdir}/rpm/platform/ppc-ibmi7.4

# Point future releases to the latest actual release
# Create links to finish the rest of version 7 releases
for r in `seq 5 9`
do
  mkdir -p %{buildroot}/%{_libdir}/rpm/platform/ppc64-ibmi7.${r}/
  cp %{SOURCE30} %{buildroot}/%{_libdir}/rpm/platform/ppc64-ibmi7.${r}/macros

  mkdir -p %{buildroot}/%{_libdir}/rpm/platform/ppc-ibmi7.${r}/
  cp %{SOURCE31} %{buildroot}/%{_libdir}/rpm/platform/ppc-ibmi7.${r}/macros
done

# Create links for potential version 8 and 9 releases
for v in `seq 8 9`
do
  for r in `seq 1 9`
  do
    mkdir -p %{buildroot}/%{_libdir}/rpm/platform/ppc64-ibmi${v}.${r}/
    cp %{SOURCE30} %{buildroot}/%{_libdir}/rpm/platform/ppc64-ibmi${v}.${r}/macros

    mkdir -p %{buildroot}/%{_libdir}/rpm/platform/ppc-ibmi${v}.${r}/
    cp %{SOURCE31} %{buildroot}/%{_libdir}/rpm/platform/ppc-ibmi${v}.${r}/macros
  done
done

# Fix lib/rpm/macros paths
SEDCMD=

# We want these to use the PASE coreutils versions
# NOTE: most want a GNU install & GNU make, so we don't change those
for f in cat chgrp chmod chown cp file grep id mkdir mv rm sed
do
SEDCMD="${SEDCMD}s|%{_bindir}/$f|/QOpenSys/usr/bin/$f|; "
done

# These aren't supplied by PASE, use our prefix instead of /usr/bin
for f in curl gpg lrzip lzip pgp ssh git hg bzr quilt
do
SEDCMD="${SEDCMD}s|/usr/bin/$f|%{_bindir}/$f|; "
done

SEDCMD="${SEDCMD}s|/usr/bin/python|%{_bindir}/python3|; "

perl -p -i -e "$SEDCMD" %{buildroot}%{_libdir}/rpm/macros

# Fix Python macros
# use py_prefix/include instead of always /usr/include
perl -p -i -e 's|/usr/include|%{py_prefix}/include|' %{buildroot}/%{_libdir}/rpm/macros.python

# Make separate python 2 and python 3 macros scripts
cp -p %{buildroot}/%{_libdir}/rpm/macros.python %{buildroot}/%{_libdir}/rpm/macros.python2
mv %{buildroot}/%{_libdir}/rpm/macros.python %{buildroot}/%{_libdir}/rpm/macros.python3

# Use python2 or python3 instead of always "python"
perl -p -i -e 's|python |python2 |g' %{buildroot}/%{_libdir}/rpm/macros.python2
perl -p -i -e 's|python |python3 |g' %{buildroot}/%{_libdir}/rpm/macros.python3


# Fix up syslog.so plugin
# TODO: make rpm capable of loading .a-style plugins
ar -X64 x %{buildroot}%{_libdir}/rpm-plugins/syslog.so
mv shr_64.o %{buildroot}%{_libdir}/rpm-plugins/syslog.so
rm shr_64.imp

mkdir -p %{buildroot}%{_libdir}/rpm/macros.d

cp %{SOURCE23} %{buildroot}%{_libdir}/rpm/

# Because we are replacing 7.5+ symlinks with copies of 7.4 macros, we need to
# go through and delete these symlinks in order for RPM to not choke when
# replacing them.
%pretrans -p <lua>

-- Create an empty table that is populated with the symlinks to replace using
-- the for loops below
paths = {}
template = "%{_libdir}/rpm/platform/ppc-ibmi{v}.{r}/"
template64 = "%{_libdir}/rpm/platform/ppc64-ibmi{v}.{r}/"

-- Generate paths for existing symlinks that are being replaced with copies of
-- the 7.4 macros
for r=5,9 do
  path = template:gsub("{v}", 7)
  path = path:gsub("{r}", r)
  table.insert(paths, path)

  path = template64:gsub("{v}", 7)
  path = path:gsub("{r}", r)
  table.insert(paths, path)
end

for v=8,9 do
  for r=1,9 do
    path = template:gsub("{v}", v)
    path = path:gsub("{r}", r)
    table.insert(paths, path)

    path = template64:gsub("{v}", v)
    path = path:gsub("{r}", r)
    table.insert(paths, path)
  end
end

for i, path in ipairs(paths) do
  st = posix.stat(path)
  if st and st.type == "link" then
    os.remove(path)
  end
end

%files
%defattr(-, qsys, *none)

%{_bindir}/rpm
%{_bindir}/rpm2archive
%{_bindir}/rpm2cpio
%{_bindir}/rpmdb
%{_bindir}/rpmgraph
%{_bindir}/rpmkeys
%{_bindir}/rpmquery
%{_bindir}/rpmsign
%{_bindir}/rpmverify

%{_libdir}/librpm.so.7*

%{_libdir}/librpmbuild.so.7*

%{_libdir}/librpmio.so.7*

%{_libdir}/librpmsign.so.7*

%{_libdir}/rpm-plugins/syslog.so

%dir %{_libdir}/rpm/fileattrs
%{_libdir}/rpm/macros
%{_libdir}/rpm/macros.d

%{_libdir}/rpm/ibm/macros
%{_libdir}/rpm/platform/ppc64-ibmi*
%{_libdir}/rpm/platform/ppc-ibmi*

%{_libdir}/rpm/rpm.daily
%{_libdir}/rpm/rpm.log
%{_libdir}/rpm/rpm.supp
%{_libdir}/rpm/rpm2cpio.sh
%{_libdir}/rpm/rpmdb_loadcvt
%{_libdir}/rpm/rpmpopt-%{version}
%{_libdir}/rpm/rpmrc
%{_libdir}/rpm/tgpg

%{_mandir}/man8/rpm.8*
%{_mandir}/man8/rpm2cpio.8*
%{_mandir}/man8/rpmdb.8*
%{_mandir}/man8/rpmgraph.8*
%{_mandir}/man8/rpmkeys.8*
%{_mandir}/man8/rpmsign.8*

%files build
%defattr(-, qsys, *none)
%{_bindir}/gendiff
%{_bindir}/rpmbuild
%{_bindir}/rpmspec

%{_libdir}/rpm/appdata.prov
%{_libdir}/rpm/brp-compress
%{_libdir}/rpm/brp-java-gcjcompile
%{_libdir}/rpm/brp-python-bytecompile
%{_libdir}/rpm/brp-python-hardlink
%{_libdir}/rpm/brp-strip
%{_libdir}/rpm/brp-strip-comment-note
%{_libdir}/rpm/brp-strip-shared
%{_libdir}/rpm/brp-strip-static-archive
%{_libdir}/rpm/brp-rm-libtool-control-files
%{_libdir}/rpm/check-buildroot
%{_libdir}/rpm/check-files
%{_libdir}/rpm/check-prereqs
%{_libdir}/rpm/check-rpaths
%{_libdir}/rpm/check-rpaths-worker
%{_libdir}/rpm/config.guess
%{_libdir}/rpm/config.sub
%{_libdir}/rpm/desktop-file.prov
%{_libdir}/rpm/find-lang.sh
%{_libdir}/rpm/find-provides
%{_libdir}/rpm/find-requires
%{_libdir}/rpm/fontconfig.prov
%{_libdir}/rpm/libtooldeps.sh
%{_libdir}/rpm/mkinstalldirs
%{_libdir}/rpm/pkgconfigdeps.sh
%{_libdir}/rpm/pythondeps.pl
%{_libdir}/rpm/rpmdeps
%{_libdir}/rpm/script.req
%{_libdir}/rpm/xcoffdeps.pl

%{_libdir}/rpm/fileattrs/appdata.attr
%{_libdir}/rpm/fileattrs/desktop.attr
%{_libdir}/rpm/fileattrs/elf.attr
%{_libdir}/rpm/fileattrs/font.attr
%{_libdir}/rpm/fileattrs/libtool.attr
%{_libdir}/rpm/fileattrs/pkgconfig.attr
%{_libdir}/rpm/fileattrs/script.attr
%{_libdir}/rpm/fileattrs/xcoff.attr

### Dependency Generators ###

# --- Mono ---
%{_libdir}/rpm/mono-find-provides
%{_libdir}/rpm/mono-find-requires
%{_libdir}/rpm/fileattrs/mono.attr

# --- Perl ---
%{_libdir}/rpm/macros.perl
%{_libdir}/rpm/perl.prov
%{_libdir}/rpm/perl.req
%{_libdir}/rpm/fileattrs/perl.attr
%{_libdir}/rpm/fileattrs/perllib.attr

# --- PHP ---
%{_libdir}/rpm/macros.php

# --- Python ---
%{_libdir}/rpm/macros.python2
%{_libdir}/rpm/macros.python3
%{_libdir}/rpm/fileattrs/python.attr
%{_libdir}/rpm/fileattrs/pythoninterpreter.attr

# --- OCaml ---
%{_libdir}/rpm/ocaml-find-provides.sh
%{_libdir}/rpm/ocaml-find-requires.sh
%{_libdir}/rpm/fileattrs/ocaml.attr

%{_mandir}/man1/gendiff.1*
%{_mandir}/man8/rpmbuild.8*
%{_mandir}/man8/rpmdeps.8*
%{_mandir}/man8/rpmspec.8*

%files devel
%defattr(-, qsys, *none)

%{_libdir}/librpm.so
%{_libdir}/librpmbuild.so
%{_libdir}/librpmsign.so
%{_libdir}/librpmio.so

%{_includedir}/rpm

%{_libdir}/pkgconfig/rpm.pc

%files -n python3-rpm
%defattr(-, qsys, *none)

%{py3_sitedir}/rpm

%files -n python2-rpm
%defattr(-, qsys, *none)

%{py2_sitedir}/rpm


%changelog
* Thu Jun 30 2022 Abdirahim Musse <abdirahim.musse@ibm.com> - 4.13.1
- Disable setting nice value in scriptlets

* Tue Apr 12 2022 Abdirahim Musse <abdirahim.musse@ibm.com> - 4.13.1
- Update _install_script_path macro to use PASE path

* Tue Mar 01 2022 Abdirahim Musse <abdirahim.musse@ibm.com> - 4.13.1
- Require libutil < 0.12

* Tue Nov 2 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 4.13.1
- Use brp-rm-libtool-files

* Mon Mar 15 2021 Kevin Adler <kadler@us.ibm.com> - 4.13.1
- Fix intrapackage version requirements

* Sat Mar 13 2021 Kevin Adler <kadler@us.ibm.com> - 4.13.1
- Disable Altivec on 7.2 due to issues with realloc

* Tue Mar 9 2021 Mark Irish <mirish@ibm.com> - 4.13.1
- Install release-specific macro files that define lowest supported harware
- Link potential future releases to the latest known release
- Merge rpm-ibmi-macros and ibmi-macros

* Tue Jan 19 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 4.13.1
- Put rpm build files in rpm-build package

* Wed Jan 6 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 4.13.1
- Updated scriptlet path to use more appropriate PASE path

* Tue Dec 1 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 4.13.1
- Update brp-rm-libtool-control-files to find links
- Fix paths in brp-python-bytecompile script

* Mon Nov 16 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 4.13.1
- Use find -exec to avoid piping empty result to xargs and rm

* Fri Nov 13 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 4.13.1
- Add check for buildroot libdir before finding libtool files in
  brp-rm-libtool-control-files script

* Wed Nov 11 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 4.13.1
- Add brp script to remove libtool control files

* Wed Aug 05 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 4.13.1
- Add curl requirement to the main rpm package for use in the urlhelper macro
- rpm uses this macro when retrieving URLs, eg. rpm --import https://example.com/my-gpg.key

* Mon Jun 15 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 4.13.1
- Remove brp-strip* refs from os_install_post macro

* Wed May 27 2020 Naveen Ram  <naveen.ram@ibm.com> - 4.13.1
- Update brp-compress to use /QOpenSys/pkgs instead of /usr

* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 4.13.1
- Use generic paths for man and info pages to allow for compression

* Wed Jan 29 2020 Kevin Adler <kadler@us.ibm.com> - 4.13.1
- Change build req to db-devel now that it is split
- Update to 4.13.1
- Fixes CVE-2017-7500
- Fixes CVE-2017-7501

* Fri Dec 13 2019 Kevin Adler <kadler@us.ibm.com> - 4.13.0.1
- Build with libarchive for rpm2archive

* Thu Aug 29 2019 Mark Irish <mirish@ibm.com> - 4.13.0.1
- Removed PASE patch redefinition of dirfd, which was added in 7.2 (AIX 7.1).
- Will no longer build on IBM i 7.1 

* Fri Mar 15 2019 - Kevin Adler <kadler@us.ibm.com>
- Require libutil 0.6 (libutil.so.2)

* Tue Jan 15 2019 - Kevin Adler <kadler@us.ibm.com>
- Fix bug in xcoff dependency generation

* Mon Jan 14 2019 - Kevin Adler <kadler@us.ibm.com>
- Speed up python and xcoff dependency generation
- Speed up unpackaged file checking
- Build python subpackages separately instead of building rpm twice
- Add platform macros up to IBM i 9.9
- Use SPDX license

* Tue Dec 11 2018 - Jesse R. Gorzinski <jgorzins@us.ibm.com>
- Add requirement on coreutils-gnu

* Tue Aug 07 2018 - Kevin Adler <kadler@us.ibm.com>
- Fix python dependency generation in rpm

* Wed Jul 18 2018 - Kevin Adler <kadler@us.ibm.com>
- Build rpm bindings for Python 3 too

* Sat Jul 14 2018 - Kevin Adler <kadler@us.ibm.com>
- Fix device handling in RPM

* Fri Jun 22 2018 - Kevin Adler <kadler@us.ibm.com>
- rpm should own the macros.d directory

* Mon Mar 12 2018 - Kevin Adler <kadler@us.ibm.com>
- Fix unshipped files

* Tue Mar 06 2018 - Kevin Adler <kadler@us.ibm.com>
- Need diffutils for diff -d to work in check-files

* Sun Mar 04 2018 - Kevin Adler <kadler@us.ibm.com>
- Allow fat sub-packages in addition to noarch ones
- Enable checking for unpackaged files
- Depend on python2-devel instead of python2 now
- Fix regex for XCOFF 32-bit binaries

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Major spec cleanup
- Add build requirements

* Fri Feb 16 2018 - Kevin Adler <kadler@us.ibm.com>
- Ensure we use /QOpenSys/var
- Use PASE versions of core utilities to reduce dependencies
- Allow *ALLOBJ users to change ownership / permissions as well as uid 0

* Wed Dec 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Add IBM i-specific macros and fix platform symlinks

* Wed Dec 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove 64-bit GCC script workarounds

* Wed Nov 22 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix shebang lines in rpm scripts

* Wed Nov 22 2017 - Kevin Adler <kadler@us.ibm.com>
- Clean up rpm spec file

* Wed Nov 22 2017 - Kevin Adler <kadler@us.ibm.com>
- Link with libutil for mkdtemp

* Wed Nov 22 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix rpm build error

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Add automatic dependency generation for XCOFF libraries and binaries
- Build libraries using svr4-style
- Build python2 bindings
- Fix python dependency generation
- Disable stripping binaries for now becuase it always fails

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove manual Requires lines because we have automatic dependency generation

* Tue Nov 07 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix licenses in spec files

* Thu Aug 24 2017 - Kevin Adler <kadler@us.ibm.com>
- Build rpm on IBM i
- Add IBM i version mapping to allow IBM i 7.1 rpms to be installed 7.2, etc
- Work around PASE bug returning incorrect symlink name lengths
- Work around PASE dlerror() not getting cleared or initialized
